# DefaultLoggerFactory Class Reference

Inherits LoggerFactory, and ObjectImpl.

List of all members.

## Public Member Functions

virtual LoggerPtr | makeNewLoggerInstance (log4cxx::helpers::Pool &pool, const LogString &name) const

## Member Function Documentation

virtual LoggerPtr makeNewLoggerInstance | ( | log4cxx::helpers::Pool & | pool,
|  | const LogString & | name
| ) | const`[virtual]`

| Implements LoggerFactory.

The documentation for this class was generated from the following file:

- defaultloggerfactory.h